# SNS API

- [Introduction](https://docs.sns.id/dev/sns-api/introduction.md)
- [Domains](https://docs.sns.id/dev/sns-api/domains.md)
- [Primary Domains](https://docs.sns.id/dev/sns-api/primary-domains.md)
- [Categories](https://docs.sns.id/dev/sns-api/categories.md)
- [Users](https://docs.sns.id/dev/sns-api/users.md)
- [Listings](https://docs.sns.id/dev/sns-api/listings.md)
- [Sales](https://docs.sns.id/dev/sns-api/sales.md)
- [Trade Volume](https://docs.sns.id/dev/sns-api/trade-volume.md)
- [Owners](https://docs.sns.id/dev/sns-api/owners.md)
- [Images](https://docs.sns.id/dev/sns-api/images.md)
- [SNS Quicknode API](https://docs.sns.id/dev/sns-api/sns-quicknode-api.md)
- [sns\_getAllDomainsForOwner](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getalldomainsforowner.md): Returns the list of SNS domains currently owned by a given account.
- [sns\_getDomainData](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getdomaindata.md): Returns base64 encoded contents of the domain's data payload, or those of an associated record.
- [sns\_getDomainKey](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getdomainkey.md): Returns a domain's Solana account public key.
- [sns\_getDomainRecordKey](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getdomainrecordkey.md): Returns a domain record's Solana account public key. Supported record identifier include SOL, ETH and IPFS. The get\_supported\_records method returns a list of all supported records.
- [sns\_getFavouriteDomain](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getfavouritedomain.md): Returns a user wallet's favourite (i.e. primary) domain.
- [sns\_getRegistrationTransaction](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getregistrationtransaction.md): Returns a ready-to-sign, base64-encoded transaction object to register a new SNS domain.
- [sns\_getSubdomains](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getsubdomains.md): Returns a list of currently registered subdomains for a given domain.
- [sns\_getSupportedRecords](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getsupportedrecords.md): Returns a list of all the currently supported record types.
- [sns\_resolveDomain](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_resolvedomain.md): Returns the resolved Solana Public key associated to a domain.
- [sns\_reverse\_lookup](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_reverse_lookup.md): Returns the domain name associated with a raw SNS account.
- [sns\_getDomainReverseKey](https://docs.sns.id/dev/sns-api/sns-quicknode-api/sns_getdomainreversekey.md): Returns a domain's reverse registry Solana account public key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sns.id/dev/sns-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
